icon

Sygic GPS Navigation for iOS - Regional apps

Regional paid Premium app without trial option.

Compatibility & Requirements

Sygic app requires you to have a compatible Apple iOS device.

Requires iOS 9.0 or later. Compatible with iPhone, iPad, and iPod Touch (6th generation). This app is optimized for iPhone 5s, iPhone 6, iPhone 6 Plus, 6S, 6S Plus, and iPhone 7/7 Plus/8/8 Plus and iPhone X/XS/XS Max and XR.

Please note: Wi-Fi only iPads do not have a GPS receiver built in. Sygic GPS Navigation requires GPS functionality. In this case, it is necessary to have an external Bluetooth GPS receiver paired with your iPad.

Geen oplossing of antwoord gevonden?

Verzoek indienen

Terug naar sectie overzicht

How to restore previous purchases?

Are you happy with Sygic GPS Navigation?

Share it please

Verzoek indienen

Als u het antwoord op uw vraag niet hebt gevonden in onze FAQ, gebruikershandleiding of videohandleidingen, neemt u dan contact met ons op door onderstaande gegevens in te vullen. Onze ondersteuningsmedewerkers zullen binnen 48 uur via e-mail contact met u opnemen. Dank u.

Uw aanvraag is verzonden! Onze ondersteuningsmedewerkers zullen die bekijken en binnen 48 uur contact met u opnemen. Dank u.